class CreateTvaTypes < ActiveRecord::Migration[6.0]
  def change
    create_table :tva_types do |t|
      t.string :name

      t.timestamps
    end
    
    TvaType.create(name: "basique")
    TvaType.create(name: "Sur Marge")
    
    add_reference :price_documents, :tva_type, index: true
    add_column :price_documents, :ac_tva_type_name, :string
    add_column :price_documents, :cc_tva_type_name, :string
    add_column :price_line_blocks, :package_number, :integer
  end
end
